<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <style>
        * {
            box-sizing: border-box;
        }

        html, body {
            margin: 0;
            padding: 0;
            overflow-x: hidden;
        }

        #nav {
            z-index: 3;
            height: 15vh;
            justify-content: space-between;
            display: flex;
            /*box-shadow: 0 10px 20px rgba(0,0,0,0.19), 0 6px 6px rgba(0,0,0,0.23);*/
            padding: 10px;
            align-items: center;
            position: fixed;
            background-color: transparent;
            width: 100%;
        }

        #nav #logo {
            height: 100%;
            margin-left: 5%;
        }
        
        .logo {
            content: url("${require('../img/logo.png')}");
            
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            width: 380px;
            height: 380px;
            border: hidden;
            border-radius: 50%;
        }

        #background {
            background: black;
            height: 100%;
            width: 100%;
            position: fixed;
            top: 0;
            left: 0;
            z-index: 4;
            transition: opacity 1s ease;
        }

        .circle {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            width: 340px;
            height: 340px;
            border: hidden;
            box-shadow: hidden;
            border-radius: 50%;
            overflow: hidden;
        }

        .wave-logo {
            position: relative;
            width: 100%;
            height: 100%;
            border-radius: 50%;
            box-shadow: inset 0 0 50px rgba(0, 0, 0, 1);
        }

        .wave-logo:before,
        .wave-logo:after {
            content: '';
            position: absolute;
            width: 200%;
            height: 200%;
            top: -150%;
            left: 50%;
            transform: translate(-50%, -75%);
            background: hidden;
        }

        .wave-logo:before {
            border-radius: 45%;
            background: hidden;
            animation: animate 3s linear;
        }

        .wave-logo:after {
            border-radius: 40%;
            background: rgba(0, 0, 0, 1);
            animation: animate 6s linear;
        }

        @keyframes animate {
            0% {
                transform: translate(-50%, -75%) rotate(360deg);
                top: 50%;
            }

            100% {
                transform: translate(-50%, -75%) rotate(0deg);
                top: -50%;
            }
        }
    </style>
</head>

<body>
    <div id='background'>
        <div class="circle">
            <div class="wave-logo">
                <div class="wave-logo">
                    <div class="logo"></div>
                </div>
            </div>
        </div>
    </div>
    <nav id='nav'>
        <img id='logo' src="${require('../img/logo.png')}">

        <svg id='menu-icon' xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24">
            <path d="M0 0h24v24H0z" fill="none" />
            <path d="M3 18h18v-2H3v2zm0-5h18v-2H3v2zm0-7v2h18V6H3z" />
        </svg>
    </nav>
    <div id='menu'>
        <div id='first-entry' class='entry'>
            <div class="overlay">
                Eventi
            </div>
        </div>
        <div id='second-entry' class='entry'>
            <div class="overlay">
                Eventi
            </div>
        </div>
        <div id='second-entry' class='entry'>
            <div class="overlay">
                Eventi
            </div>
        </div>
    </div>